{-----------------------------------------------------------------------------
JEDI File Re-Opener

   Source file jvReopenerInterfaces.pas

The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at
http://www.mozilla.org/NPL/NPL-1_1Final.html

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either expressed or implied. See the License for
the specific language governing rights and limitations under the License.

Original Developer: Michael Beck <mbeck@bigfoot.com>
http://www.geocities.com/beckmi/delphi.htm

Contributors: Robert Cerny [robert.cerny@neosys.xrs.si]

Last Modified: 2001-02-15
Current Version: 1.52

You may retrieve the latest version of this file at the Project JEDI home page,
located at http://www.delphi-jedi.org

Known Issues:
-----------------------------------------------------------------------------}
unit jvReopenerInterfaces;

interface

uses Classes,jvReopenerClasses;

type

  IReopenerFiles = interface

    function GetList(S: string): TMyStringList;
    procedure SaveAll;

    procedure SetlstBPG(const Value: TMyStringList);
    procedure SetlstDPK(const Value: TMyStringList);
    procedure SetlstDPR(const Value: TMyStringList);
    procedure SetlstOTH(const Value: TMyStringList);
    procedure SetlstPAS(const Value: TMyStringList);
    procedure SetlstFAV(const Value: TMyStringList);

    procedure SetFormPersistance(const Value: Boolean);
    procedure SetFormSize(const Value: string);
    procedure SetLocalDate(const Value: Boolean);

    function GetlstBPG: TMyStringList;
    function GetlstDPK: TMyStringList;
    function GetlstDPR: TMyStringList;
    function GetlstOTH: TMyStringList;
    function GetlstPAS: TMyStringList;
    function GetlstFAV: TMyStringList;

    function GetFormPersistance: Boolean;
    function GetFormSize: string;
    function GetColumnPersistance: Boolean;
    function GetSortPersistance: Boolean;
    function GetLocalDate: Boolean;

    property lstBPG: TMyStringList read GetlstBPG write SetlstBPG;
    property lstDPR: TMyStringList read GetlstDPR write SetlstDPR;
    property lstPAS: TMyStringList read GetlstPAS write SetlstPAS;
    property lstDPK: TMyStringList read GetlstDPK write SetlstDPK;
    property lstOTH: TMyStringList read GetlstOTH write SetlstOTH;
    property lstFAV: TMyStringList read GetlstFAV write SetlstFAV;

    property FormSize: string read GetFormSize write SetFormSize;
    property FormPersistance: Boolean read GetFormPersistance write SetFormPersistance;
    property SortPersistance: Boolean read GetSortPersistance;
    property ColumnPersistance: Boolean read GetColumnPersistance;
    property LocalDate: Boolean read GetLocalDate write SetLocalDate;

  end;

  IOptionsMemento = interface

    procedure SetCapacityBPG(const Value: Integer);
    procedure SetCapacityDPK(const Value: Integer);
    procedure SetCapacityDPR(const Value: Integer);
    procedure SetCapacityOTH(const Value: Integer);
    procedure SetCapacityPAS(const Value: Integer);
    procedure SetCapacityFAV(const Value: Integer);
    procedure SetDefaultPage(const Value: Integer);
    procedure SetIgnoreDefaultUnits(const Value: Boolean);
    procedure SetFormPersistance(const Value: Boolean);
    procedure SetSortPersistance(const Value: Boolean);
    procedure SetColumnPersistance(const Value: Boolean);
    procedure SetShortcut(Value:TShortcut);
    procedure SetLocalDate(const Value: Boolean);

    function GetCapacityBPG: Integer;
    function GetCapacityDPK: Integer;
    function GetCapacityDPR: Integer;
    function GetCapacityOTH: Integer;
    function GetCapacityPAS: Integer;
    function GetCapacityFAV: Integer;
    function GetDefaultPage: Integer;
    function GetIgnoreDefaultUnits: Boolean;
    function GetFormPersistance: Boolean;
    function GetSortPersistance: Boolean;
    function GetColumnPersistance: Boolean;
    function GetShortcut:TShortcut;
    function GetLocalDate: Boolean;

    property CapacityBPG: Integer read GetCapacityBPG write SetCapacityBPG;
    property CapacityDPR: Integer read GetCapacityDPR write SetCapacityDPR;
    property CapacityPAS: Integer read GetCapacityPAS write SetCapacityPAS;
    property CapacityDPK: Integer read GetCapacityDPK write SetCapacityDPK;
    property CapacityOTH: Integer read GetCapacityOTH write SetCapacityOTH;
    property CapacityFAV: Integer read GetCapacityFAV write SetCapacityFAV;

    property IgnoreDefaultUnits: Boolean read GetIgnoreDefaultUnits write SetIgnoreDefaultUnits;
    property DefaultPage: Integer read GetDefaultPage write SetDefaultPage;

    property FormPersistance: Boolean read GetFormPersistance write SetFormPersistance;
    property SortPersistance: Boolean read GetSortPersistance write SetSortPersistance;
    property ColumnPersistance: Boolean read GetColumnPersistance write SetColumnPersistance;
    property Shortcut : TShortcut read GetShortcut write SetShortcut;
    property LocalDate: Boolean read GetLocalDate write SetLocalDate;

  end;

implementation

end.

